POSTLOG(1)

NAME
postlog - Postfix-compatible logging utility

SYNOPSIS
postlog [-iv] [-c config_dir] [-p priority] [-t tag] [text...]

DESCRIPTION
The postlog command implements a Postfix-compatible logging interface for use in, for example, shell scripts. By default, postlog logs the text given on the command line as one record. If no text is specified on the command line, postlog reads from standard input and logs each input line as one record. Logging is sent to syslogd(8); when the standard error stream is connected to a terminal, logging is sent there as well. The following options are implemented:

-c config_dir
    Read the main.cf configuration file in the named directory instead of the default configuration directory.

-i  Include the process ID in the logging tag.

-p priority
    Specifies the logging severity: info (default), warn, error, fatal, or panic.

-t tag
    Specifies the logging tag, that is, the identifying name that appears at the beginning of each logging record.

-v  Enable verbose logging for debugging purposes. Multiple -v options make the software increasingly verbose.

SEE ALSO
syslogd(8) syslog daemon.

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA